\section{Conclusion \& Outlook}\label{s:conclusion}

In this study multiple recommendation approaches were tested to prove, that \acf{qna} sites may benefit from \acfp{rs} by streamlining the process of finding questions to answer with the assistance of the \icite{so.2019} dataset. Three different recommender were implemented, each for a different hypothesis. They stated that users would answer questions, that were similar to their own questions, from similar users, or answered by similar users. The recommender produced recommendations according to these hypotheses utilising different text-models. They included models built with Doc2Vec \acf{dbow}, \acf{tfidf} and \acf{lda}. For each of those algorithms 4 different models were trained according to two dimensions. One specified that the model was built from questions or answers, and the second if it was a user model or item model. Those 12 models were used in the three recommendation experiments respectively. The recommender were evaluated under the premise, that the ground truth consists only of the questions, the users have already answered.

None of the tested approaches yielded a positive result. This may be due to the fact, that the text-models are too imprecise for the domain. Suppose there are two questions on \icite{so.2019} about the same piece of framework of the same programming language, but for different problems that occurred. Given that the majority of the vocabulary from each of the questions overlaps, a text-model would definitely return that the two questions are similar. If one was a question the user answered and the other not, it would also be a valid recommendation -- assuming the user knows the answer. In this study however, this recommendation would be flagged as a \ac{fp}, because it did not fall under the premise of being already answered by the user. Relaxing the evaluation would probably have had a positive impact on the results of this study.

Further research may include a relaxation of the evaluation of \acp{rs}. User-testing in which a control group evaluates the recommenders according to their own tastes may also be a feasible study. Furthermore, tests should be performed on a bigger subset or even the whole dataset of \icite{so.2019}, which was not done in this study because of the resource limits of the test machine. Moreover, all of the algorithms used are parameterised, and need further configuration tuning in this specific domain.